path: /build/build/gtk-vnc-net-libs-1.3.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -sasl introspection pulseaudio python_targets_python3_9 vala" emerge net-libs/gtk-vnc -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -sasl introspection pulseaudio python_targets_python3_9 vala" emerge -j ${JOBS} --nodeps net-libs/gtk-vnc
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gtk-vnc && luet-portage --dir /pkgdir/gtk-vnc
    net-libs/gtk-vnc && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deb260c0a0599cb6dc14bd266ef78f86d86ee2a095f405a5a5447b75cece8f83
  package:
    name: gtk-vnc
    version: 1.3.1
    category: net-libs
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -sasl
    - introspection
    - pulseaudio
    - python_targets_python3_9
    - vala
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: VNC viewer widget for GTK
    uri:
    - https://wiki.gnome.org/Projects/gtk-vnc https://gitlab.gnome.org/GNOME/gtk-vnc
    license: LGPL-2.1+
    buildtimestamp: 2023-09-14 08:48:36.884755233 +0000 UTC m=+114.468997844
    labels:
      BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-lang/perl-5 dev-util/glib-utils >=sys-devel/gettext-0.19.8 virtual/pkgconfig
        vala? ( || ( dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)]
        dev-lang/vala:0.46[vapigen(+)] dev-lang/vala:0.44[vapigen(+)] ) ) app-arch/xz-utils
        >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: '>=dev-libs/glib-2.56.0:2 >=x11-libs/gdk-pixbuf-2.36.0:2 >=dev-libs/libgcrypt-1.8.0:0=
        >=net-libs/gnutls-3.6.0:0= >=sys-libs/zlib-1.2.11 sasl? ( >=dev-libs/cyrus-sasl-2.1.27:2
        ) >=x11-libs/gtk+-3.22.0:3[introspection?] >=x11-libs/cairo-1.15.0 >=x11-libs/libX11-1.6.5
        pulseaudio? ( >=media-sound/pulseaudio-11.0 ) introspection? ( >=dev-libs/gobject-introspection-1.56.0:=
        )'
      IUSE: +introspection pulseaudio sasl +vala python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python3_10
      RDEPEND: '>=dev-libs/glib-2.56.0:2 >=x11-libs/gdk-pixbuf-2.36.0:2 >=dev-libs/libgcrypt-1.8.0:0=
        >=net-libs/gnutls-3.6.0:0= >=sys-libs/zlib-1.2.11 sasl? ( >=dev-libs/cyrus-sasl-2.1.27:2
        ) >=x11-libs/gtk+-3.22.0:3[introspection?] >=x11-libs/cairo-1.15.0 >=x11-libs/libX11-1.6.5
        pulseaudio? ( >=media-sound/pulseaudio-11.0 ) introspection? ( >=dev-libs/gobject-introspection-1.56.0:=
        )'
      emerge.packages: net-libs/gtk-vnc
      kit: gnome-kit
      original.package.name: net-libs/gtk-vnc
      original.package.slot: "0"
      original.package.version: 1.3.1
    treedir: /build/packages
  package_dir: /pkgdir/gtk-vnc
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7e9f3c5ebad24ff1d3fe51bbcd2cf307a384d95ec78c40e470fc5fd7d600a979
compressiontype: zstd
files:
- usr/bin/gvnccapture
- usr/include/gtk-vnc-2.0/gtk-vnc.h
- usr/include/gtk-vnc-2.0/vnccairoframebuffer.h
- usr/include/gtk-vnc-2.0/vncdisplay.h
- usr/include/gtk-vnc-2.0/vncdisplayenums.h
- usr/include/gtk-vnc-2.0/vncgrabsequence.h
- usr/include/gvnc-1.0/gvnc.h
- usr/include/gvnc-1.0/vncaudio.h
- usr/include/gvnc-1.0/vncaudioformat.h
- usr/include/gvnc-1.0/vncaudiosample.h
- usr/include/gvnc-1.0/vncbaseaudio.h
- usr/include/gvnc-1.0/vncbaseframebuffer.h
- usr/include/gvnc-1.0/vnccolormap.h
- usr/include/gvnc-1.0/vncconnection.h
- usr/include/gvnc-1.0/vncconnectionenums.h
- usr/include/gvnc-1.0/vnccursor.h
- usr/include/gvnc-1.0/vncframebuffer.h
- usr/include/gvnc-1.0/vncpixelformat.h
- usr/include/gvnc-1.0/vncutil.h
- usr/include/gvnc-1.0/vncversion.h
- usr/include/gvncpulse-1.0/gvncpulse.h
- usr/include/gvncpulse-1.0/vncaudiopulse.h
- usr/lib64/girepository-1.0/GVnc-1.0.typelib
- usr/lib64/girepository-1.0/GVncPulse-1.0.typelib
- usr/lib64/girepository-1.0/GtkVnc-2.0.typelib
- usr/lib64/libgtk-vnc-2.0.so
- usr/lib64/libgtk-vnc-2.0.so.0
- usr/lib64/libgtk-vnc-2.0.so.0.0.2
- usr/lib64/libgvnc-1.0.so
- usr/lib64/libgvnc-1.0.so.0
- usr/lib64/libgvnc-1.0.so.0.0.1
- usr/lib64/libgvncpulse-1.0.so
- usr/lib64/libgvncpulse-1.0.so.0
- usr/lib64/libgvncpulse-1.0.so.0.0.1
- usr/lib64/pkgconfig/gtk-vnc-2.0.pc
- usr/lib64/pkgconfig/gvnc-1.0.pc
- usr/lib64/pkgconfig/gvncpulse-1.0.pc
- usr/share/doc/gtk-vnc-1.3.1/AUTHORS.bz2
- usr/share/doc/gtk-vnc-1.3.1/ChangeLog.bz2
- usr/share/doc/gtk-vnc-1.3.1/NEWS.bz2
- usr/share/doc/gtk-vnc-1.3.1/README.bz2
- usr/share/gir-1.0/GVnc-1.0.gir
- usr/share/gir-1.0/GVncPulse-1.0.gir
- usr/share/gir-1.0/GtkVnc-2.0.gir
- usr/share/locale/bs/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/ca/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/cs/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/da/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/de/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/el/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/en_GB/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/eo/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/es/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/eu/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/fa/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/fr/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/fur/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/gd/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/gl/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/guc/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/he/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/hr/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/hu/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/id/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/it/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/ja/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/ka/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/ko/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/lt/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/lv/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/nb/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/nds/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/nl/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/oc/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/pa/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/pl/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/pt/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/pt_BR/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/ro/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/ru/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/sk/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/sl/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/sr/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/sr@latin/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/sv/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/te/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/tg/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/th/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/tr/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/uk/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/zh_CN/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/zh_HK/LC_MESSAGES/gtk-vnc.mo
- usr/share/locale/zh_TW/LC_MESSAGES/gtk-vnc.mo
- usr/share/man/man1/gvnccapture.1.bz2
- usr/share/vala/vapi/gtk-vnc-2.0.deps
- usr/share/vala/vapi/gtk-vnc-2.0.vapi
- usr/share/vala/vapi/gvnc-1.0.deps
- usr/share/vala/vapi/gvnc-1.0.vapi
- usr/share/vala/vapi/gvncpulse-1.0.deps
- usr/share/vala/vapi/gvncpulse-1.0.vapi
- var/db/pkg/net-libs/gtk-vnc-1.3.1/BDEPEND
- var/db/pkg/net-libs/gtk-vnc-1.3.1/BUILD_TIME
- var/db/pkg/net-libs/gtk-vnc-1.3.1/CATEGORY
- var/db/pkg/net-libs/gtk-vnc-1.3.1/CBUILD
- var/db/pkg/net-libs/gtk-vnc-1.3.1/CFLAGS
- var/db/pkg/net-libs/gtk-vnc-1.3.1/CHOST
- var/db/pkg/net-libs/gtk-vnc-1.3.1/CONTENTS
- var/db/pkg/net-libs/gtk-vnc-1.3.1/COUNTER
- var/db/pkg/net-libs/gtk-vnc-1.3.1/CXXFLAGS
- var/db/pkg/net-libs/gtk-vnc-1.3.1/DEFINED_PHASES
- var/db/pkg/net-libs/gtk-vnc-1.3.1/DEPEND
- var/db/pkg/net-libs/gtk-vnc-1.3.1/DESCRIPTION
- var/db/pkg/net-libs/gtk-vnc-1.3.1/EAPI
- var/db/pkg/net-libs/gtk-vnc-1.3.1/FEATURES
- var/db/pkg/net-libs/gtk-vnc-1.3.1/HOMEPAGE
- var/db/pkg/net-libs/gtk-vnc-1.3.1/INHERITED
- var/db/pkg/net-libs/gtk-vnc-1.3.1/IUSE
- var/db/pkg/net-libs/gtk-vnc-1.3.1/IUSE_EFFECTIVE
- var/db/pkg/net-libs/gtk-vnc-1.3.1/KEYWORDS
- var/db/pkg/net-libs/gtk-vnc-1.3.1/LDFLAGS
- var/db/pkg/net-libs/gtk-vnc-1.3.1/LICENSE
- var/db/pkg/net-libs/gtk-vnc-1.3.1/NEEDED
- var/db/pkg/net-libs/gtk-vnc-1.3.1/PF
- var/db/pkg/net-libs/gtk-vnc-1.3.1/PROVIDES
- var/db/pkg/net-libs/gtk-vnc-1.3.1/RDEPEND
- var/db/pkg/net-libs/gtk-vnc-1.3.1/REQUIRES
- var/db/pkg/net-libs/gtk-vnc-1.3.1/SIZE
- var/db/pkg/net-libs/gtk-vnc-1.3.1/SLOT
- var/db/pkg/net-libs/gtk-vnc-1.3.1/USE
- var/db/pkg/net-libs/gtk-vnc-1.3.1/environment.bz2
- var/db/pkg/net-libs/gtk-vnc-1.3.1/gtk-vnc-1.3.1.ebuild
- var/db/pkg/net-libs/gtk-vnc-1.3.1/repository
package_cacheimage: ""
runtime:
  name: gtk-vnc
  version: 1.3.1
  category: net-libs
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -sasl
  - introspection
  - pulseaudio
  - python_targets_python3_9
  - vala
  requires:
  - name: libgcrypt
    version: '>=0'
    category: dev-libs
  - name: pulseaudio
    version: '>=0'
    category: media-sound
  - name: gnutls
    version: '>=0'
    category: net-libs
  - name: zlib
    version: '>=0'
    category: sys-libs
  - name: cairo
    version: '>=0'
    category: x11-libs
  - name: gdk-pixbuf
    version: '>=0'
    category: x11-libs-2
  - name: gtk+
    version: '>=0'
    category: x11-libs-3
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: VNC viewer widget for GTK
  uri:
  - https://wiki.gnome.org/Projects/gtk-vnc https://gitlab.gnome.org/GNOME/gtk-vnc
  license: LGPL-2.1+
  labels:
    BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-lang/perl-5 dev-util/glib-utils >=sys-devel/gettext-0.19.8 virtual/pkgconfig
      vala? ( || ( dev-lang/vala:0.50[vapigen(+)] dev-lang/vala:0.48[vapigen(+)] dev-lang/vala:0.46[vapigen(+)]
      dev-lang/vala:0.44[vapigen(+)] ) ) app-arch/xz-utils >=dev-util/meson-0.48.2
      >=dev-util/ninja-1.7.2
    DEPEND: '>=dev-libs/glib-2.56.0:2 >=x11-libs/gdk-pixbuf-2.36.0:2 >=dev-libs/libgcrypt-1.8.0:0=
      >=net-libs/gnutls-3.6.0:0= >=sys-libs/zlib-1.2.11 sasl? ( >=dev-libs/cyrus-sasl-2.1.27:2
      ) >=x11-libs/gtk+-3.22.0:3[introspection?] >=x11-libs/cairo-1.15.0 >=x11-libs/libX11-1.6.5
      pulseaudio? ( >=media-sound/pulseaudio-11.0 ) introspection? ( >=dev-libs/gobject-introspection-1.56.0:=
      )'
    IUSE: +introspection pulseaudio sasl +vala python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python3_10
    RDEPEND: '>=dev-libs/glib-2.56.0:2 >=x11-libs/gdk-pixbuf-2.36.0:2 >=dev-libs/libgcrypt-1.8.0:0=
      >=net-libs/gnutls-3.6.0:0= >=sys-libs/zlib-1.2.11 sasl? ( >=dev-libs/cyrus-sasl-2.1.27:2
      ) >=x11-libs/gtk+-3.22.0:3[introspection?] >=x11-libs/cairo-1.15.0 >=x11-libs/libX11-1.6.5
      pulseaudio? ( >=media-sound/pulseaudio-11.0 ) introspection? ( >=dev-libs/gobject-introspection-1.56.0:=
      )'
    emerge.packages: net-libs/gtk-vnc
    kit: gnome-kit
    original.package.name: net-libs/gtk-vnc
    original.package.slot: "0"
    original.package.version: 1.3.1
